Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

FacetedBrep Class

The FacetedBrep class defines a faceted BREP.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Geometry3d
Assembly:  Tekla.Structures (in Tekla.Structures.dll) Version: 2018.1.0.0 (2018.1.0.0)
Syntax
[SerializableAttribute]
public class FacetedBrep

The FacetedBrep type exposes the following members.

Constructors
  Name Description
Public method FacetedBrep(Vector, Int32, IDictionaryInt32, Int32)
Initializes a new instance of the FacetedBrep class.
Public method FacetedBrep(Vector, Int32, IDictionaryInt32, Int32, IListIndirectPolymeshEdge)
Initializes a new instance of the FacetedBrep class.
Top
Properties
  Name Description
Public property Faces
Gets the faces.
Public property GetEdges
Gets the edges.
Public property InnerWires
Gets the inner wires.
Public property OuterWires
Gets the outer wires.
Public property Vertices
Gets the vertices.
Top
Methods
  Name Description
Public method CheckForTwoManifold
Gets a value indicating whether this instance is 2-manifold.
Public method GetInnerFace
Gets the inner face at the specified index.
Public method GetInnerFaceCount
Gets the inner face count of the outer face at the specified index.
Public method GetOuterFace
Gets the outer face at the specified index.
Top
Examples
using Tekla.Structures.Geometry3d;

public class Example
{
    public void Example1()
    {
        var vertex = new[]
        {
            new Vector(0.0, 0.0, 0.0), // 0
            new Vector(300.0, 0.0, 0.0), // 1
            new Vector(300.0, 700.0, 0.0), // 2
            new Vector(0.0, 700.0, 0.0), // 3
            new Vector(300.0, 700.0, 0.0), // 4
            new Vector(300.0, 700.0, 2000.0), // 5
            new Vector(0.0, 700.0, 2000.0), // 6
            new Vector(100.0, 100.0, 0.0), // 7
            new Vector(200.0, 100.0, 0.0), // 8
            new Vector(200.0, 200.0, 0.0), // 9
            new Vector(100.0, 200.0, 0.0) // 10
        };
        var outerWires = new[]
        {
            new[] { 0, 1, 2, 3 },
            new[] { 3, 4, 5, 6 }
        };
        var innerWires = new Dictionary<int,int[][]>
        {
            { 0, new[] { new[] { 10, 9, 8, 7 } } }
        };

        var brep = new FacetedBrep(vertex, outerWires, innerWires);
        Console.WriteLine("This BREP has {0} faces", brep.Faces.Count);
    }
}
See Also